import 'package:dart_psr/dart_psr.dart';

void main(List<String> arguments) => decodeESRExample();

Future<void> decodeESRExample() async {
  print('Decode PSR');
  var psr = ProtonSigningRequest('https://jungle2.cryptolions.io', 'v1',
      chainName: ChainName.EOS_JUNGLE2);

  var encodedRequest =
      'proton://gmNgZur_-TdO7KrRD9ePDEDAeEBtbc4uK8NQEIfhwLLVjAJOHF5SEzaeAvFXvDUy4mQESyVs8mQAsgA';
  var decoded = psr.deserialize(encodedRequest);

  print(decoded.toString());
}
